> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contracts

> List the distribution contracts registered for a token.

List the distribution contracts registered for a token.

**Route:** `POST /api/external/v1/contracts`

## Headers

| Header              | Required | Description                |
| ------------------- | -------- | -------------------------- |
| `Content-Type`      | Yes      | Must be `application/json` |
| `x-magna-api-token` | Yes      | Your Magna API token       |

## Body parameters

| Field     | Type          | Required | Description                       |
| --------- | ------------- | -------- | --------------------------------- |
| `tokenId` | string (uuid) | Yes      | The token whose contracts to list |

## Request example

```sh theme={null}
curl -X POST https://app.magna.so/api/external/v1/contracts \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY' \
-d '{ "tokenId": "tok...uuid" }'
```

## Response example

```json theme={null}
{
  "items": [
    {
      "id": "c1...uuid",
      "name": "Main Vesting Contract",
      "type": "AIRLOCK",
      "address": "0x...",
      "balance": "0",
      "createdAt": "2024-04-15T21:26:21.000Z"
    }
  ],
  "total": 1
}
```
